.container {
  display: block;
  position: relative;
  margin-bottom: 35px;
}

.containerDisabled {
  opacity: 0.5;
}

.title {
  font-weight: 500;
  font-size: 1.2em;
  margin-bottom: 3px;
}

.subtitle {
  margin-bottom: 1em;
  font-size: 90%;
  opacity: 0.8;
}

.inputContainer {
  display: flex;
  align-items: center;
  width: 100%;
  outline: none;
  padding: 9px;
  font-size: 1.2em;
  box-sizing: border-box;
  background: var(--vscode-editorWidget-border);
  border: none;
}

.input {
  text-decoration: none;
  border: none;
  background: var(--vscode-editorWidget-border);
  color: var(--vscode-editor-foreground);
  font-size: 1em;
  width: 100%;
  margin-right: 10px;
  padding: 2px 8px;
}

input:focus {
  outline: none;
}

input::placeholder {
  color: var(--vscode-input-placeholderForeground);
}

.validationIcon {
  height: 15px;
  margin-right: 0.2em;
}

.validationIcon path {
  fill: var(--vscode-gitDecoration-untrackedResourceForeground);
}

.spinner {
  animation: rotate steps(60) 1s infinite;
  height: 18px;
  width: 18px;
  height: 1em;
  margin-right: 2px;
}

.spinner path {
  stroke: var(--vscode-editor-foreground);
}

.errorMessage {
  height: 38px;
  background: var(--vscode-inputValidation-errorBackground);
  border: 1px solid var(--vscode-inputValidation-errorBorder);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px 10px;
  font-size: 90%;
  opacity: 0.5;
  box-sizing: border-box;
  position: absolute;
  width: 100%;
  z-index: 1;
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}
